2017-10-21 23:55 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002573OpenFOAMContributionpublic2017-06-26 17:39
ReporterJuho 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002573: More general Function1 based model to replace "polynomial" saturationModel in reactingEulerFoam
DescriptionA Function1 based saturationModel that allows flexible specification of the saturation curve, e.g. constant, polynomial, table values. Intended to replace the current "polynomial" model.
Additional Information    Examples:

    \verbatim
        type function1Tsat;
        TsatFunction polynomial
        (
            (308.0422 0)
            (0.0015096 1)
            (-1.61589e-8 2)
            (1.114106e-13 3)
            (-4.52216e-19 4)
            (1.05192e-24 5)
            (-1.2953e-30 6)
            (6.5365e-37 7)
        )
    \endverbatim

    \verbatim
        type function1Tsat;

        TsatFunction csvFile;
        TsatFunctionCoeffs
        {
            nHeaderLine 1;
            refColumn 0;
            componentColumns (1);
            separator ",";
            mergeSeparators no;
            file "filename.csv";
            outOfBounds clamp;
            interpolationScheme linear;
        };
    \endverbatim
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008207

Juho (reporter)

Added an example of a saturation curve as a csv-file for possible testing purposes.

~0008268

henry (manager)

Thanks Juho,

resolved by commit 21aeea88a4d4d260261c39f5ee978f076d25b599
+Notes

-Issue History
Date Modified Username Field Change
2017-06-07 10:45 Juho New Issue
2017-06-07 10:45 Juho File Added: function1Tsat.H
2017-06-07 10:46 Juho File Added: function1Tsat.C
2017-06-07 10:49 Juho File Added: Tsat_water_001_20MPa.csv
2017-06-07 10:49 Juho Note Added: 0008207
2017-06-26 17:39 henry Assigned To => henry
2017-06-26 17:39 henry Status new => resolved
2017-06-26 17:39 henry Resolution open => fixed
2017-06-26 17:39 henry Fixed in Version => dev
2017-06-26 17:39 henry Note Added: 0008268
+Issue History